Cemu - Bug #629

Mario Tennis: Ultra Smash crash at main menu
03/24/2022 08:39 AM - hexaae

Status: Closed Start date: 03/24/2022
Priority: Normal

Assignee:

Category: General

API: OpenGL, Vulkan GPU Vendor/Model:  GTX 1070 8GB
Cemu Version: 1.26.2f

Description

Moving around in main menu (after you press button A, those animated tiles...) makes CEMU frequently crash. It's 100%
reproducible for me just moving around between animated tiles for 10-30secs.

Tested with: OGL and VK, no cemuhook dll installed, tried CPU single, multi, auto, online account=off.
Crash dump: https://1drv.ms/u/s!ApMUGrOcuN39gokP53 3hPKisyadOQ?e=3MJFH8

Gaming laptop ASUS GL703GS, Win 10, i7-8750H (6+6 cores), NVidia 1070 8GB, 32GB RAM, 1920x1080 144Hz G-Sync laptop
screen, NVMe + SSD

History

#1 - 03/24/2022 08:56 AM - Exzap

- Status changed from New to In Progress

This is caused by a bug in the new video decoder. The next Cemu release should have a fix for this.
As a workaround you can use Cemuhook's H264 decoder for now.

#2 - 03/24/2022 09:07 AM - hexaae

Thank you for quick reply.
| just tried with cemuhook.dll and keystone.dll in CEMU.exe dir, but doesn't fix this game.
No prob anyway: I'll wait for the next CEMU build.

#3 - 03/24/2022 09:32 AM - Exzap

You have to turn it on in the menu under debug -> Use Cemuhook H264

#4 - 03/24/2022 07:55 PM - hexaae

Thanks! Wasn't specified on Cemu hook installation instructions.

#5 - 04/28/2022 06:57 AM - cooxie1234

- File mainmenu.jpg added

Issue still present on experimental 1.27.0
There are also some artifacts in the main menu with demuhook H264 disabled. See the edges in attached screenshot.

unrelated - Bug #580 still present on experimental 1.27.0

#6 - 04/28/2022 08:01 AM - hexaae

| can confirm it's still present in 1.27.0 Exp.

#7 - 04/28/2022 10:25 AM - Exzap

Enable debug -> accurate barriers and let me know if that fixes the artifacts

#8 - 04/28/2022 06:31 PM - cooxie1234

Exzap wrote:

Enable debug -> accurate barriers and let me know if that fixes the artifacts
https://1drv.ms/u/s!ApMUGr0cuN39gokP53_3hPKisyadOQ?e=3MJFH8
https://bugs.cemu.info/issues/580

Yes. Fixes the artifacts.

#9 - 04/29/2022 09:50 AM - hexaae

After | ran it twice (it still crashed first time, maybe a caches thing...) it's now working fine with 1.27.0b and doesn't crash anymore at the tiles menu.

#10 - 05/21/2022 01:00 PM - hexaae

Still a bit buggy though: sometimes Tiles animation get stuck until you change tile.

#11 - 06/12/2022 08:02 PM - hexaae
Fixed with 1.27.1.

#12 - 06/12/2022 09:12 PM - Exzap

- Status changed from In Progress to Closed
